<!DOCTYPE html>
<html>
<!-- <html > onclick="procesaEvento(this,event)"--> 
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Eventos</title>
    <script type="text/javascript">
        // function procesaEvento(elemento, e){
        //     console.log('evento click');
        //     console.log(elemento);
        //     console.log(e);
        // }
    </script>
</head>
<!-- <body onclick="procesaEvento(this,event)"> -->
    <body>
        
    
    <div id="div_principal"></div>

    <button id="mbot" onclick="dispararEvento(this);">Puchale aqui prro</button>

    <!-- <div onclick="procesaEvento(this,event)">Click aqui</div> -->

    <!-- <p>Eventos HTML</p>
    <button id="idBoton" onclick="muestraMensaje()" title="Click!!">Click aqui!</button>
    <input type="text" name="texto" id="texto" onblur="alerta()"> -->


    <!-- <img src="img.jpg" alt="texto" onclick="updateCounter(event)">
    <p>Has hecho clic a la imagen <span id="num">0</span> veces </p> -->




</body>
    <script type="text/javascript">

    // function muestraMensaje(){
    //     console.log("Has reaizado clic con el raton");
    // }
    // var elDiv = document.getElementById("div_principal");
    // elDiv.addEventListener("click", muestraMensaje, false);

    function muestraElMensaje() {
           console.log("Has realizado click con el raton")
    }
    
    var elBoton= document.getElementById("mbot")//agregen esto
    var miEvento = new Event("alertota")
    elBoton.addEventListener("alertota", funcionEventHandler, false)
    function funcionEventHandler() {
       alert("Se ejecuta el evento alertota")
    }
    function dispararEvento(elemento) {
       elemento.dispatchEvent(miEvento)
    }
   

        // function muestraMensaje() {
        //     console.log('gracias por el click');
        // }
        // function alerta(){
        //     alert('Saludos');
        // }
        // let persona = {
        //     nombre: 'luis',
        //     edad 25,
        //     haablar: function(){
        //     console.log(this.nombre);
        // }
        // };
        // persona.haablar();

        // var contadorClick=0;
        // function updateCounter(e){
        //     console.log(e);
        //     console.log(e.detail);
        //     console.log('Contador ' + contadorClick);
        //     contadorClick++;
        //     document.querySelector('#num').textContent = e.detail;
        // }
    </script>
</body>
</html>